#### D.5.2.45 classpoly

Procedure from library `chern.lib` (see chern_lib).

Usage:
  classpoly(l, t); l list of polynomials, t polynomial

Return:
  polynomial

Purpose:
  computes the polynomial in t with coefficients being the entries of l

Note:

Example:

    LIB "chern.lib";
    ring r=0, (c(1..5), t), ds;
    list l=c(1..5);
    // get the polynomial c(1)*t + c(2)*t^2 + ... + c(5)*t^5
    print( classpoly(l, t) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.